// @/Utils/blocks.js

import { v4 as uuidv4 } from 'uuid';

const blocks = {
    groups: [
        {
            uuid: 'group-heroes',
            title: 'Hero-seksjoner',
            blocks: [
                {
                    uuid: uuidv4(),
                    componentName: 'HeroLogoText',
                    optionsComponentName: 'HeroLogoTextOptions',
                    renderComponentName: 'HeroLogoTextRendered',
                    description: 'Hero tekst, logo og lenke',
                    thumbUrl: '/img/blocks/hero_logo_text_preview.jpg',
                    static: false,
                    title: 'Bygg en fantastisk hjemmeside for deg og dine brukere med',
                    titlecursive: 'PolarPress web applikasjon',
                    showtitle: true,
                    texts: [
                        {
                            paragraph: 'Trenger du et enkelt og fleksibelt system for å organisere din klubb og klubbaktiviteter, uten å knekke lommeboka? Ønsker du et partnerskap med en utvikler med tilhold i Norge og som er lett tilgjengelig dersom du har behov for oppfølging? Kontakt oss for mer informasjon om hvordan vi kan hjelpe deg og din klubb'
                        }
                    ],
                    buttontext: 'Kontakt oss',
                    buttonaction: 'none',
                    buttonlink: '',
                    showbutton: true,
                    showlogo: true,
                    anchorName: 'frontPageArcticSoftware',
                },
            ]
        },
        {
            uuid: 'group-faqs',
            title: 'Spørsmål og svar',
            blocks: [
                {
                    uuid: uuidv4(),
                    componentName: 'FAQList',
                    optionsComponentName: 'FAQListOptions',
                    renderComponentName: 'FAQListRendered',
                    description: 'En enkel liste med spørsmål og svar',
                    thumbUrl: '/img/blocks/list.jpg',
                    title: 'Ofte stilte spørsmål',
                    static: false,
                    faqs: [
                        { question: 'Hva er dette?', answer: 'Dette er en FAQ blokk.' },
                        { question: 'Hvordan bruker jeg det?', answer: 'Legg inn spørsmål og svar her.' },
                    ]
                },
                {
                    uuid: uuidv4(),
                    componentName: 'FAQCollapse',
                    optionsComponentName: 'FAQCollapseOptions',
                    renderComponentName: 'FAQCollapseRendered',
                    description: 'Kollapsbare spørsmål og svar',
                    thumbUrl: '/img/blocks/collapse.jpg',
                    title: 'FAQ Seksjon',
                    static: false,
                    faqs: [
                        { question: 'Hva er dette?', answer: 'Dette er et eksempel på et spørsmål og svar.' },
                        { question: 'Hvordan fungerer det?', answer: 'Du legger til innhold og publiserer siden.' }
                    ]
                },
                {
                    uuid: uuidv4(),
                    componentName: 'FAQCondensed',
                    optionsComponentName: 'FAQCondensedOptions',
                    renderComponentName: 'FAQCondensedRendered',
                    description: 'Kondensert og animert spørsmål og svar',
                    thumbUrl: '/img/blocks/faq_condensed_preview.jpg',
                    static: false,
                    title: 'Spørsmål angående denne siden?',
                    titlecursive: 'Her er noen svar',
                    showtitle: true,
                    label: 'OM DEMOSIDEN',
                    showlabel: true,
                    anchorName: 'frontPageFAQ',
                    faqs: [
                        {
                            categoryName: 'Kategori 1',
                            categoryContent: [
                                { question: 'Spørsmål 1', answer: 'Dette er svar på spørsmål 1', state: false },
                                { question: 'Spørsmål 2', answer: 'Dette er svar på spørsmål 2', state: false },
                                { question: 'Spørsmål 3', answer: 'Dette er svar på spørsmål 3', state: false }
                            ]
                        },
                        {
                            categoryName: 'Kategori 2',
                            categoryContent: [
                                { question: 'Spørsmål 4', answer: 'Dette er svar på spørsmål 4', state: false },
                                { question: 'Spørsmål 5', answer: 'Dette er svar på spørsmål 5', state: false },
                                { question: 'Spørsmål 6', answer: 'Dette er svar på spørsmål 6', state: false }
                            ]
                        }
                    ]
                }
            ]
        },
        {
            uuid: 'text-content',
            title: 'Blokker ment for lengre tekstinnlegg',
            blocks: [
                {
                    uuid: uuidv4(),
                    componentName: 'TwoColumnText',
                    optionsComponentName: 'TwoColumnTextOptions',
                    renderComponentName: 'TwoColumnTextRendered',
                    description: 'Tekstblokk med to kolonner (en på små skjermer)',
                    thumbUrl: '/img/blocks/twocolumntext_oms_preview.jpg',
                    static: false,
                    anchorName: 'content',

                    firstcolumn: [
                        { 
                            text: 'Litt om vår klubb', 
                            style: 'headinglarge' 
                        },
                        { 
                            text: 'To tiår med fellesskap og lidenskap for airsoft', 
                            style: 'heading' 
                        },
                        { 
                            text: 'Østfold Milsim er en airsoftklubb som ble stiftet i 2003. Klubben startet opp med et fokus på Milsim, men har i dag en mer variert spillestil. Milsim etterstreber å være mest "korrekt" ut fra hvilket utstyr og uniform man bruker, mens klubben i dag har en stor variasjon av spillere. Her er man velkommen uansett om man spiller i hettegenser eller fullt airsoft kit. Vi tilhører Hyperion, Norsk Forbund for Fantastiske Fritidsinteresser (n4f.no)', 
                            style: 'regular' 
                        },
                        { 
                            text: 'Vår hobby er airsoft (softguns). Vi arrangerer egne spill og deltar på andre klubbers spill. På større spill eller samlinger overnattes det ute i skogen der arrangementet foregår. Klubbens symbol er en gaupepote, det største fastboende rovdyret i Østfold.',
                            style: 'regular' 
                        },
                        {
                            text: 'Arrangementer', 
                            style: 'headingbold' 
                        },
                        {
                            text: 'Vi arrangerer egne spill og deltar på andre klubbers spill. Det spilles på lørdag eller søndag, som oftest med matpause og sosialisering midt i spilltiden. Det kan være alt fra 15 til 100 deltakere på lokale spill.', 
                            style: 'regular' 
                        },
                        {
                            text: 'På storspill (samlinger) spilles det over flere dager med overnatting i telt. På utenlandske spill kan det være opp mot 2000 spillere. Storspill i Norge har fra 100 til 400 spillere. ØMS har en god del friluftsutstyr som medlemmer kan låne gratis ved deltakelse på slike samlinger.', 
                            style: 'regular' 
                        },
                        {
                            text: 'Airsoft som aktivitet', 
                            style: 'headingbold' 
                        },
                        {
                            text: 'Airsoft er en sosial, inkluderende og spennende hobby. Her kan man velge om man ønsker å spille på lag eller for seg selv. Spillarrangøren avgjør spillets gang, men man er velkommen både alene og som en gjeng. Airsoft er en betegnelse på hvordan man rollespiller med softguns. Arrangementene følger forskjellige scenarioer og har ulike mål for hvert spill. Aktiviteten legger opp til mye samarbeid, kommunikasjon og problemløsning.', 
                            style: 'regular' 
                        },
                        {
                            text: 'Selv om det i stor grad oppfordres til en del aktivitet, er airsoft en hobby som er lett å tilpasse sitt eget aktivitetsnivå. Det er ganske unikt som en aktiv hobby i sin mulighet til å variere og tilpasse ut fra dagsformen. Her trenger du ikke være best, her kan du bare være deg selv. Airsoftere er både unge og eldre, i alle forskjellige yrker, kvinner og menn. Dette er med andre ord en hobby for absolutt alle som ønsker å være aktive og treffe andre.', 
                            style: 'regular' 
                        },
                        {
                            text: 'Utstyr', 
                            style: 'headingbold' 
                        },
                        {
                            text: 'Det er ikke noe krav til utstyr utover briller og en softgun. Du kan leie utstyr billig av ØMS hvis du/dere vil prøve å spille. Vi selger også kuler, ta kontakt med oss på Facebook for dette.', 
                            style: 'regular' 
                        },
                        {
                            text: 'Ønsker du å bli en mer aktiv spiller, vil du sannsynligvis se fordelene med en uniform i form av kamuflasje. Gode støvler for å hindre overtråkk og å holde føttene tørre. Noe å ha magasiner i (vest/chestrig). Det finnes egne salgskanaler for brukt airsoftutstyr, samt sider som finn.no.', 
                            style: 'regular' 
                        },
                        {
                            text: 'Som medlem av ØMS får du "no bullshit" råd om utstyr som passer deg og din økonomi, samt hjelp til å finne seriøse og gode aktører på airsoft markedet.', 
                            style: 'regular' 
                        }
                    ],

                    secondcolumn: [
                        { 
                            text: 'Litt om airsoft', 
                            style: 'headinglarge' 
                        },
                        { 
                            text: 'Trygge spill, uforglemmelige øyeblikk. Lær mer om airsoft og hvor man skal begynne.', 
                            style: 'heading' 
                        },
                        { 
                            text: 'https://www.youtube.com/embed/ZJZyK88_3qE?si=VLjj2hJj0UNnWaG9', 
                            style: 'video' 
                        },
                        { 
                            text: 'Softgun (våpnene vi bruker) har 18 års aldersgrense for å eie ifølge norsk våpenlov.', 
                            style: 'regular' 
                        },
                        { 
                            text: 'På ØMS sine arrangementer kan du spille fra du er 14 år. Du får da en verge/trustee som klubben står for, og som vil følge deg i spill. Denne personen vil veilede og ta vare på deg som er 14-18 år under våre arrangementer.', 
                            style: 'regular' 
                        },
                        { 
                            text: 'Airsoft ble oppfunnet i Japan på 1980-tallet, og mange airsoftvåpen kopierer et originalt våpen. Softguns skyter 6 mm runde bionedbrytbare kuler med en utgangshastighet på 70-150 m/s. Disse veier 0,20-0,40 g og har derfor liten anslagsenergi.', 
                            style: 'regular' 
                        },
                        { 
                            text: 'Det er selvfølgelig krav om godkjente briller/maske under alle spill. Det er langt større sjanse for å vrikke ankelen under spill enn å bli skadet av et treff.', 
                            style: 'regular' 
                        },
                        { 
                            text: 'I Norge har man klare regler på hvor hardt våpnene har lov til å skyte, og her følger vi Norsk Airsoft Forening sine regler med unntak av våres innendørs regler. Våpnene har en rekkevidde fra 50 m til 100 m.', 
                            style: 'regular' 
                        },
                        { 
                            text: 'Et airsoftvåpen er enten drevet av en fjær som må trekkes opp før hvert skudd, med gass, luft eller med elektrisk motor.', 
                            style: 'regular' 
                        },
                        { 
                            text: 'Airsoft er rollespill, ikke en form for "krigstrening". Det som skiller airsoft fra paintball er hovedsakelig at det er lagt vekt på realisme i våpen og utstyr, og at det ikke er maling i kulene.', 
                            style: 'regular' 
                        },
                        { 
                            text: "Airsoft kuler/BB's", 
                            style: 'headingbold' 
                        },
                        { 
                            text: 'Kulene (BBs) har forskjellig vekt og er runde med en diameter på 6 mm. ØMS bruker biologiske kuler som brytes naturlig ned i naturen og er laget av materialer som ikke er giftige.', 
                            style: 'regular' 
                        },
                        { 
                            text: 'Kulene etterlater seg ingen farge i motsetning til paintball.', 
                            style: 'regular' 
                        },
                        { 
                            text: 'Hvordan begynne med Airsoft', 
                            style: 'headingbold' 
                        },
                        { 
                            text: 'Du kan leie utstyr av oss for å prøve om airsoft er noe for deg før du går til innkjøp av eget utstyr. Har du allerede utstyr er det bare å melde seg på spill.', 
                            style: 'regular' 
                        },
                        { 
                            text: 'Ta kontakt med oss og meld deg på spill så "treffes" vi!', 
                            style: 'regular' 
                        }
                    ]
                }
            ]
        },
        {
            uuid: 'static-content',
            title: 'Statisk innhold',
            blocks: [
                {
                    uuid: uuidv4(),
                    componentName: 'FrontPageMenuHeader',
                    optionsComponentName: 'FrontPageMenuHeaderOptions',
                    renderComponentName: 'FrontPageMenuHeaderRendered',
                    description: 'Forside toppkomponent og header',
                    thumbUrl: '/img/blocks/frontpagemenuheader_oms_preview.jpg',
                    static: false,
                    title: 'Østfold Milsim',
                    anchorName: 'frontPageHeader'
                },
                {
                    uuid: uuidv4(),
                    componentName: 'FrontPageSponsors',
                    optionsComponentName: 'FrontPageSponsorsOptions',
                    renderComponentName: 'FrontPageSponsorsRendered',
                    description: 'Forside sponsorliste',
                    thumbUrl: '/img/blocks/frontpagesponsors_oms_preview.jpg',
                    static: false,
                    title: 'Våre sponsorer',
                    text: 'En stor takk til våre sponsorer som gjør det mulig for oss å drive klubben og holde arrangementer. Hvis du ønsker å bli en sponsor for klubben, ta kontakt med oss på sponsor alfakrøll ostfoldmilsim punktum no . Her kan du se en liste over våre sponsorer og sammarbeidspartnere. Klikk på en oppføring for å lese mer.',
                    partnertext: 'Hos våre sammarbeidspartnere får du rabatter på airsoftutstyr og andre varer. Klikk på en oppføring for å lese mer. Husk å logge deg inn hvis du er medlem for å se rabattkodene og annen nyttig informasjon sombare er tilgjengelig for våre medlemmer.',
                    showtext: true,
                    showpartnertext: true,
                    image: '/img/pexels-flenn-may-802505.jpg',
                    anchorName: 'sponsors-intro',
                    needs: ['sponsors', 'partners']
                },
                {
                    uuid: uuidv4(),
                    componentName: 'FrontPageMembershipInfo',
                    optionsComponentName: 'FrontPageMembershipInfoOptions',
                    renderComponentName: 'FrontPageMembershipInfoRendered',
                    description: 'Medlemskapsinformasjon',
                    thumbUrl: '/img/blocks/frontpagemembers_oms_preview.jpg',
                    static: false,
                    showprices: true,
                    title: 'Medlemskap',
                    text: 'Som medlem får du tilgang til våre arrangementer, rabatter hos våre sponsorer, mulighet til å låne utstyr til en rimligere pris fra klubben og du får rimligere pris på våre spillavgifter. Du får også tilgang til nyttig informasjon, vår intergruppe på facebook og kan delta i diskusjoner via våre kommentarfelt.',
                    image: '/img/medlemmer-bg.jpg',
                    anchorName: 'membership',
                    needs: ['contingent']
                },
                {
                    uuid: uuidv4(),
                    componentName: 'FrontPageNewsList',
                    optionsComponentName: 'FrontPageNewsListOptions',
                    renderComponentName: 'FrontPageNewsListRendered',
                    description: 'Nyhetsartikler',
                    thumbUrl: '/img/blocks/frontpagenews_oms_preview.jpg',
                    static: false,
                    title: 'Nyheter',
                    showtitle: true,
                    label: 'Hold deg oppdatert med hva som skjer i ØMS',
                    anchorName: 'intro',
                    showlabel: true,
                    image: '/img/pexels-andrew-neel-2859169.jpg',
                    buttontext: 'Vis flere nyheter',
                    needs: ['articles']
                },
                {
                    uuid: uuidv4(),
                    componentName: 'FrontPageEventsList',
                    optionsComponentName: 'FrontPageEventsListOptions',
                    renderComponentName: 'FrontPageEventsListRendered',
                    description: 'Arrangementer',
                    thumbUrl: '/img/blocks/frontpageevents_oms_preview.jpg',
                    static: false,
                    title: 'Arrangementer',
                    showtitle: true,
                    label: 'Meld deg på og delta i fremtidige arrangementer',
                    showlabel: true,
                    secondarylabel: '(Registrerte og innloggede brukere/medlemmer vil ha tilgang til flere arrangementer)',
                    showsecondarylabel: true,
                    image: '/img/pexels-sebastian-ervi-1763075.jpg',
                    anchorName: 'events',
                    needs: ['events']
                },
                {
                    uuid: uuidv4(),
                    componentName: 'PageFooter',
                    renderComponentName: 'PageFooterRendered',
                    description: 'Bunntekst/footer',
                    thumbUrl: '/img/blocks/footer_oms_preview.jpg',
                    static: true
                }
            ]
        }
    ]
};

export default blocks;
